Package org.zkoss.zk.ui.event

## Class SizeEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.SizeEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SizeEvent
      extends Event

  Represents an event caused by a component being re-sized.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALT_KEY` | Indicates whether the Alt key is pressed.
    `static int` | `CTRL_KEY` | Indicates whether the Ctrl key is pressed.
    `static int` | `SHIFT_KEY` | Indicates whether the Shift key is pressed.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SizeEvent​(java.lang.String name, Component target, java.lang.String width, java.lang.String height, int keys)` | Constructs a mouse relevant event.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getHeight()` | Returns the height of the component after re-sized.
    `int` | `getKeys()` | Returns what keys were pressed when the component is resized, or 0 if none of them was pressed.
    `static SizeEvent` | `getSizeEvent​(AuRequest request)` | Converts an AU request to a size event.
    `java.lang.String` | `getWidth()` | Returns the width of the component after re-sized.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALT_KEY

          public static final int ALT_KEY

      Indicates whether the Alt key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

    - #### CTRL_KEY

          public static final int CTRL_KEY

      Indicates whether the Ctrl key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

    - #### SHIFT_KEY

          public static final int SHIFT_KEY

      Indicates whether the Shift key is pressed. It might be returned as part of `getKeys()`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SizeEvent

          public SizeEvent​(java.lang.String name,
                           Component target,
                           java.lang.String width,
                           java.lang.String height,
                           int keys)

      Constructs a mouse relevant event.

  - ### Method Detail

    - #### getSizeEvent

          public static final SizeEvent getSizeEvent​(AuRequest request)

      Converts an AU request to a size event.
      Since:
        5.0.0

    - #### getWidth

          public final java.lang.String getWidth()

      Returns the width of the component after re-sized.

    - #### getHeight

          public final java.lang.String getHeight()

      Returns the height of the component after re-sized.

    - #### getKeys

          public final int getKeys()

      Returns what keys were pressed when the component is resized, or 0 if none of them was pressed. It is a combination of `CTRL_KEY`, `SHIFT_KEY` and `ALT_KEY`.